#-------------------------------------------------
#
# Project created by QtCreator 2011-10-05T01:35:53
#
#-------------------------------------------------
include(../qtsingleapplication/common.pri)
include(../qtsingleapplication/src/qtsingleapplication.pri)

QT       += core gui

TEMPLATE = app

CODECFORTR = UTF-8
TRANSLATIONS += translations/fmstick_ru.ts \
                translations/fmstick_uk.ts

macx {
    TARGET = FmStick
} else {
    TARGET = fmstick
}


# disable debug messages in release
CONFIG(debug, debug|release) {
    # Define version string (see below for releases)
    VER = 1.0dbg
} else {
    DEFINES += QT_NO_DEBUG
    DEFINES += QT_NO_DEBUG_OUTPUT
    VER = 1.0
}

# Tip from: http://www.qtcentre.org/wiki/index.php?title=Version_numbering_using_QMake
VERSTR = '\\"$${VER}\\"'          # place quotes around the version string
DEFINES += VERSION=\"$${VERSTR}\" # create a VERSION macro containing the version string

SOURCES +=\
    mainwindow.cpp \
    main.cpp \
    logging.c \
    fmtx.c \
    querier.cpp \
    mainwindow_hlprs.cpp \
    mainwindow_cfg.cpp

mac: SOURCES += hidmac.c
win32: SOURCES += hidwin.cpp
linux-g++*: SOURCES += hid-libusb.c

HEADERS +=\
    mainwindow.h \
    hidapi.h \
    logging.h \
    commanddefs.h \
    propertydefs.h \
    fmtx.h \
    querier.h

RESOURCES += \
    fmstick.qrc

FORMS    += mainwindow.ui

mac:LIBS += /System/Library/Frameworks/CoreFoundation.framework/CoreFoundation \
    /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
win32:LIBS += -lsetupapi

# libusb-1.0 on Linux uses pkg-config
linux-g++* {
    CONFIG += link_pkgconfig
    PKGCONFIG += libusb-1.0
}

win32 {
    # application icon on Windows
    RC_FILE = fmstick.rc
} else:macx {
    # app icon on OSX
    ICON = images/fmstick.icns
}

OTHER_FILES += AUTHORS.txt LICENSE.txt NEWS.txt README.txt \
    fmstick.rc \
    images/fmstick.ico \
    translations/fmstick_ru.ts \
    translations/fmstick_uk.ts

